with Ada.Text_IO,Ada.Text_IO.Complex_IO;
use Ada.Text_IO;

pragma Elaborate_All (Ada.Text_IO );

package CoNumbers.IO is
   procedure Show(C: in CoNumber; Cut: in Rep:=Zero); --shows a ball as "(Re(Center),Im(Center))[Error]
   procedure Show(Text: in String; C: in CoNumber; Cut: in Rep:=Zero);
   procedure Get(F: in File_Type; C: out CoNumber;  Decimal: in Boolean := True; ShowErr: in Boolean:=True);
   procedure Put(F: in File_Type; C: in CoNumber;  Decimal: in Boolean := True; ShowErr: in Boolean:=True);

   procedure Read(File_Name: in String; C: out CoNumber;   Decimal: in Boolean := True; Radius: in Boolean:=False; N: in Ada.Text_IO.Count:=Ada.Text_IO.Count(1));
   procedure Read_Par(File_Name: in String; C: out CoNumber;   Decimal: in Boolean := True; Radius: in Boolean:=False; N: in Ada.Text_IO.Count:=Ada.Text_IO.Count(1));
   procedure Read_P(File_Name: in String; C: out CoNumber;   Decimal: in Boolean := True; Radius: in Boolean:=False; N: in Ada.Text_IO.Count:=Ada.Text_IO.Count(1));
   procedure Write(File_Name: in String; C: in CoNumber;   Decimal: in Boolean := True; Radius: in Boolean:=False);

   EKS: Integer:=0;
end CoNumbers.IO;

