with Ada.Text_IO;
use Ada.Text_IO;

pragma Elaborate_All (Ada.Text_IO);

package Intervals.IO is

   procedure Show(S: in Interval; NewLine: in Boolean := True);
   procedure Get(F: in File_Type; S: out Interval; Decimal: in Boolean := True);
   procedure Put(F: in File_Type; S: in Interval; Decimal: in Boolean := True);
   procedure Read(File_Name: in String; S: out Interval;   Decimal: in Boolean := True; N: in Ada.Text_IO.Count:=Ada.Text_IO.Count(1));
   procedure Read_Par(File_Name: in String; S: out Interval;   Decimal: in Boolean := True; N: in Ada.Text_IO.Count:=Ada.Text_IO.Count(1));
   procedure Read_P(File_Name: in String; S: out Interval;   Decimal: in Boolean := True; N: in Ada.Text_IO.Count:=Ada.Text_IO.Count(1));
   procedure Write(File_Name: in String; S: in Interval;   Decimal: in Boolean := True);

   EKI: Integer:=0;

end Intervals.IO;
