with Ada.Text_IO;
use Ada.Text_IO;


pragma Elaborate_All (Ada.Text_IO);

package Numerics.IO is

   procedure Show(S: in Numeric; NewLine: in Boolean := True);
   procedure Get(F: in File_Type; S: out Numeric; Decimal: in Boolean := True);
  procedure Put(F: in File_Type; S: in Numeric; Decimal: in Boolean := True);

  procedure Read(File_Name: in String; S: out Numeric;   Decimal: in Boolean := True; N: in Ada.Text_IO.Count:=Ada.Text_IO.Count(1));
  procedure Read_Par(File_Name: in String; S: out Numeric;   Decimal: in Boolean := True; N: in Ada.Text_IO.Count:=Ada.Text_IO.Count(1));
  procedure Read_P(File_Name: in String; S: out Numeric;   Decimal: in Boolean := True; N: in Ada.Text_IO.Count:=Ada.Text_IO.Count(1));
  procedure Write(File_Name: in String; S: in Numeric;   Decimal: in Boolean := True);

  EKN: Integer:=0;
end Numerics.IO;
