package Reps.Ops is

  pragma Pure;

  function Powof2(M: Integer) return Integer;
  function Sqr(R: Rep) return Rep;
--  function "**"(S: Rep; I: Integer) return Rep;
  function Pouer(S: Rep; I: Integer) return Rep;
  function Max(R1,R2: Rep) return Rep;
  function Min(R1,R2: Rep) return Rep;
  function Sign(R: Rep) return Rep;
  procedure NextRandom(I: in out Long_Integer);
  procedure RandomRep(Seed: in out Long_Integer; R: out Rep);
  function IntPart(R: Rep) return Integer;
  function Modulo(R: Rep; M: Rep) return Rep;
  procedure CosSin(S: in Rep; Sc,Ss: out Rep; Iter: in Integer:=9);
  function Cos(S: Rep; Iter: Integer:=9) return Rep;
  function Sin(S: Rep; Iter: Integer:=9) return Rep;
  function Short_Exp(R: Rep; Iter: Integer) return Rep;

  function Sqrt(R: Rep) return Rep;
  function Log(R: Rep) return Rep;
  function "**"(R1,R2: Rep) return Rep;
  function Cosh(R: Rep) return Rep;
  function Sinh(R: Rep) return Rep;
  function Tanh(R: Rep) return Rep;
  function Exp(R: Rep) return Rep;
  function ArcCos(R: Rep) return Rep;
  function ArcSin(R: Rep) return Rep;
  function ArcTan(R: Rep; R1: Rep; Cycle: Rep) return Rep;

end Reps.Ops;
