with Ada.Text_IO;
use Ada.Text_IO;

pragma Elaborate_All (Ada.Text_IO);

package CoBalls.IO is
   procedure Show(C: in CoBall; Cut: in Rep:=Zero); --shows a ball as "(Re(Center),Im(Center))[Error]
   procedure Show(Text: in String; C: in CoBall; Cut: in Rep:=Zero);
   procedure Get(F: in File_Type; S: out CoBall;   Decimal: in Boolean := True; Radius: in Boolean:=False);
   procedure Put(F: in File_Type; S: in CoBall;   Decimal: in Boolean := True; Radius: in Boolean:=False);

   procedure Read(File_Name: in String; C: out CoBall;   Decimal: in Boolean := True; Radius: in Boolean:=False; N: in Ada.Text_IO.Count:=Ada.Text_IO.Count(1));
   procedure Read_Par(File_Name: in String; C: out CoBall;   Decimal: in Boolean := True; Radius: in Boolean:=False; N: in Ada.Text_IO.Count:=Ada.Text_IO.Count(1));
   procedure Read_P(File_Name: in String; C: out CoBall;   Decimal: in Boolean := True; Radius: in Boolean:=False; N: in Ada.Text_IO.Count:=Ada.Text_IO.Count(1));
   procedure Write(File_Name: in String; C: in CoBall;   Decimal: in Boolean := True; Radius: in Boolean:=False);

   EKS: Integer:=0;
end CoBalls.IO;

